My Project: SignOn::SecurityContext Class Reference

My Project

Public Member Functions | List of all members
SignOn::SecurityContext Class Reference

Contains access security context information. More...

`#include <SignOn/SecurityContext>`

## Public Member Functions
| SecurityContext ()
| Creates a new SecurityContext object.
| SecurityContext (const QString &systemContext, const QString &applicationContext)
| Creates a new SecurityContext object.
void | setSystemContext (const QString &systemContext)
| Sets the system context.
QString | systemContext () const
| Gets the system context.
void | setApplicationContext (const QString &applicationContext)
| Sets the application context.
QString | applicationContext () const
| Gets the application context.

## Detailed Description

Contains access security context information.

See also
  accessControlListFull()

Definition at line 40 of file securitycontext.h.

## Constructor & Destructor Documentation

## ◆ SecurityContext() [1/2]

SignOn::SecurityContext::SecurityContext | ( |  | ) |

Creates a new SecurityContext object.

Definition at line 32 of file securitycontext.cpp.

## ◆ SecurityContext() [2/2]

SignOn::SecurityContext::SecurityContext | ( | const QString & | systemContext,
|  | const QString & | applicationContext )

Creates a new SecurityContext object.

Parameters

  systemContext |
  applicationContext |

Definition at line 36 of file securitycontext.cpp.

## Member Function Documentation

## ◆ applicationContext()

QString SignOn::SecurityContext::applicationContext | ( |  | ) | const

Gets the application context.

Returns
  The application context, or an empty string.

Definition at line 82 of file securitycontext.cpp.

Referenced by setApplicationContext().

## ◆ setApplicationContext()

void SignOn::SecurityContext::setApplicationContext | ( | const QString & | applicationContext | ) |

Sets the application context.

Parameters

  applicationContext |

Definition at line 77 of file securitycontext.cpp.

References applicationContext().

## ◆ setSystemContext()

void SignOn::SecurityContext::setSystemContext | ( | const QString & | systemContext | ) |

Sets the system context.

Parameters

  systemContext |

Definition at line 67 of file securitycontext.cpp.

References systemContext().

## ◆ systemContext()

QString SignOn::SecurityContext::systemContext | ( |  | ) | const

Gets the system context.

Returns
  The system context, or an empty string.

Definition at line 72 of file securitycontext.cpp.

Referenced by setSystemContext().

The documentation for this class was generated from the following files:

- securitycontext.h
- securitycontext.cpp